<?php

ini_set('display_errors', 1);
ini_set('display_startup_erros', 1);
error_reporting(E_ALL);

header("access-control-allow-origin: https://pagseguro.uol.com.br");
header("Content-Type: text/html; charset=UTF-8",true);
date_default_timezone_set('America/Sao_Paulo');

require_once("../../config.php");

$cs = new cs;
$plano = (object) $_POST;

$PagSeguro = new PagSeguro();

if(isset($plano->id) && !empty($plano->id)) {
	// Gerar Pagamento
	$array = array(
		'id_usuario' => $_SESSION['usuario_logado'][0]['id'],
		'id_profile' => $plano->id,
		'valor' => $plano->valor,
		'data_add' => date('Y-m-d H:i:s'),
		'status_fatura' => 'pendente'	
	);
}

$reference = $cs->addCharge($array);

$clienteNome = $_SESSION['usuario_logado'][0]['display_name'];
if(substr_count(trim($clienteNome), ' ') == 0){
	$clienteNome = $clienteNome . 'Space Code';
}
	
//EFETUAR PAGAMENTO	
$venda =    [
				"codigo"            => $reference,
			    "valor"             => $plano->valor,
			    "descricao"         => $plano->nome,
			    "nome"              => $clienteNome,
			    "email"             => $_SESSION['usuario_logado'][0]['email'],
			    // "telefone"          =>"(XX) XXXX-XXXX",
			    // "rua"               =>"",
			    // "numero"            =>"",
			    // "bairro"            =>"",
			    // "cidade"            =>"",
			    // "estado"            =>"XX", //2 LETRAS MAIÚSCULAS
			    // "cep"               =>"XX.XXX-XXX",
			    "codigo_pagseguro"  => ''
	        ];
				   
$PagSeguro->executeCheckout($venda, SITE_URL."/obrigado.php");


//----------------------------------------------------------------------------

//RECEBER RETORNO
// if( isset($_GET['pagseguro_code']) ){

// if($pagamento = $PagSeguro->getStatusByReference($reference) {
	
// 	$pagamento->codigo_pagseguro = $_GET['pagseguro_code'];
// 	if($pagamento->status==3 || $pagamento->status==4){
// 		//ATUALIZAR DADOS DA VENDA, COMO DATA DO PAGAMENTO E STATUS DO PAGAMENTO
		
// 	}else{
// 		//ATUALIZAR NA BASE DE DADOS
// 	}
// }
// }

